<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.5.1.final using JasperReports Library version 6.5.1  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="รายงานสรุป_บค_จ่ายงาน_บันทึกผล_01_จ่ายงาน" pageWidth="842" pageHeight="595" orientation="Landscape" columnWidth="802" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="4c7e70d4-6434-48f7-943f-049f4b0111a0">
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="db.xml"/>
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<property name="com.jaspersoft.studio.unit." value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageHeight" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.topMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.bottomMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.leftMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.rightMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnSpacing" value="pixel"/>
	<style name="DefaultStyle" isDefault="true" fontName="TH SarabunPSK" fontSize="14">
		<paragraph leftIndent="1" rightIndent="1"/>
	</style>
	<parameter name="P_LANGUAGE" class="java.lang.String"/>
	<parameter name="P_SCREEN" class="java.lang.String"/>
	<parameter name="P_SYSTEM" class="java.lang.String"/>
	<parameter name="P_EMP_ID" class="java.lang.String"/>
	<parameter name="P_PRINT_NUMBER" class="java.lang.String"/>
	<parameter name="P_WATER_MARK" class="java.lang.String">
		<parameterDescription><![CDATA[]]></parameterDescription>
	</parameter>
	<parameter name="P_EMP_NAME" class="java.lang.String"/>
	<parameter name="P_DIST_ID" class="java.lang.Integer"/>
	<parameter name="P_START_DATE" class="java.util.Date"/>
	<parameter name="P_END_DATE" class="java.util.Date"/>
	<parameter name="P_GROUP_WORK_DIVISION" class="java.lang.String"/>
	<parameter name="P_WORK_EMP_ID" class="java.lang.String"/>
	<queryString>
		<![CDATA[select  DIST_SHORT, DIST_DESC  ,SYSDATE AS CURRENT_DATE,
TO_CHAR(SYSDATE,'HH24:MI:SS')AS CURRENT_TIME
from mea_district where dist_id = $P{P_DIST_ID} and  language_code  = $P{P_LANGUAGE}]]>
	</queryString>
	<field name="DIST_SHORT" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="DIST_SHORT"/>
	</field>
	<field name="DIST_DESC" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="DIST_DESC"/>
	</field>
	<field name="CURRENT_DATE" class="java.sql.Date">
		<property name="com.jaspersoft.studio.field.label" value="CURRENT_DATE"/>
	</field>
	<field name="CURRENT_TIME" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="CURRENT_TIME"/>
	</field>
	<background>
		<band height="555" splitType="Stretch">
			<textField isBlankWhenNull="true">
				<reportElement x="0" y="0" width="801" height="555" forecolor="#ABABAB" uuid="52ecaee5-b3b1-4d61-8e94-48881a56c153">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle" rotation="None">
					<font fontName="TH SarabunPSK" size="98" isBold="true" isItalic="true"/>
					<paragraph lineSpacing="Single" leftIndent="0"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_WATER_MARK}]]></textFieldExpression>
			</textField>
		</band>
	</background>
	<title>
		<band height="54" splitType="Stretch">
			<textField>
				<reportElement x="305" y="14" width="192" height="16" uuid="27dcf13c-f766-4a86-a6a7-bcb67d0cf120">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Center">
					<font fontName="TH SarabunPSK" size="14" isBold="false" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<textFieldExpression><![CDATA["รายงานสรุปการจ่ายงานของ"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="48" y="-1" width="176" height="16" uuid="6f195ff7-350d-4590-a86a-2b06d5e3c381"/>
				<textElement>
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_EMP_NAME}!=null?$P{P_EMP_NAME}:""]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="1" y="-1" width="47" height="16" uuid="d15c5b74-3714-4b97-8bc0-8c9886f48673">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement>
					<font fontName="TH SarabunPSK" size="14" isBold="false" pdfFontName="" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[ผู้ใช้ :]]></text>
			</staticText>
			<staticText>
				<reportElement x="1" y="15" width="47" height="16" uuid="5de6f456-838a-41f8-b1be-0c45789cdcbf">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement>
					<font fontName="TH SarabunPSK" size="14" isBold="false" pdfFontName="" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[โปรแกรม :]]></text>
			</staticText>
			<textField>
				<reportElement x="48" y="15" width="176" height="16" uuid="35e06e44-8379-4124-9caf-c37dfe7d69d6"/>
				<textElement>
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_SCREEN}!=null?$P{P_SCREEN}:"-"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="48" y="31" width="176" height="16" uuid="e4ecff4e-fa28-4285-8ca5-6b3a3e333646"/>
				<textElement>
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_SYSTEM}!=null?$P{P_SYSTEM}:"-"]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="1" y="31" width="47" height="16" uuid="d9795d2c-f896-4d69-8313-d7c6b248ddde">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement>
					<font fontName="TH SarabunPSK" size="14" isBold="false" pdfFontName="" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[ระบบ :]]></text>
			</staticText>
			<textField>
				<reportElement x="305" y="-1" width="192" height="16" uuid="3a98e434-d77c-40c3-9c4e-4585b77c6f2c">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Center">
					<font fontName="TH SarabunPSK" size="14" isBold="false" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{DIST_DESC}!=null?$F{DIST_DESC}:"-"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="305" y="31" width="192" height="16" uuid="01d2477e-6446-4a07-852c-6d49c59badbe">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Center">
					<font fontName="TH SarabunPSK" size="14" isBold="false" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<textFieldExpression><![CDATA[($P{P_START_DATE}!=null?"วันที่ ":"")+( $P{P_START_DATE} !=null?   th.or.mea.scs.util.DateUtils.toStringDateSimpleFormat($P{P_START_DATE},$P{P_LANGUAGE},"dd.MM.YYYY"):"")
+( $P{P_END_DATE} !=null?   "  ถึง  ":"")+
( $P{P_END_DATE} !=null?   th.or.mea.scs.util.DateUtils.toStringDateSimpleFormat($P{P_END_DATE},$P{P_LANGUAGE},"dd.MM.YYYY"):"")]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="721" y="-1" width="82" height="16" uuid="fa55b8be-302f-4d01-82c6-91e6d649effa"/>
				<textElement>
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{CURRENT_DATE}!=null?  th.or.mea.scs.util.DateUtils.toDateDDMMYYYYSimpleFormat($F{CURRENT_DATE},$P{P_LANGUAGE}):"-"]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="690" y="-1" width="26" height="16" uuid="532b8698-97f4-4bb3-a9a4-0090130a612e"/>
				<textElement>
					<font fontName="TH SarabunPSK" size="14" isBold="false" pdfFontName="" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[วันที่ :]]></text>
			</staticText>
			<staticText>
				<reportElement x="690" y="15" width="26" height="16" uuid="bda10d11-c31f-47a2-99c9-67563b4c35bc">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement>
					<font fontName="TH SarabunPSK" size="14" isBold="false" pdfFontName="" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[เวลา :]]></text>
			</staticText>
			<textField>
				<reportElement x="721" y="15" width="82" height="16" uuid="8a5db0cb-c9ab-486b-adb1-d0c0683122b4"/>
				<textElement>
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{CURRENT_TIME}!=null?$F{CURRENT_TIME}:"-"]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="690" y="31" width="26" height="16" uuid="ccb8dfd9-b3c2-4776-828c-2c4d7ce32051">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement>
					<font fontName="TH SarabunPSK" size="14" isBold="false" pdfFontName="" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[หน้า :]]></text>
			</staticText>
			<textField>
				<reportElement x="721" y="31" width="14" height="16" uuid="6bc02b32-2fc6-459a-9aa5-f884296c8831">
					<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Left">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report">
				<reportElement x="745" y="31" width="14" height="16" uuid="b1aa28be-8220-44e8-bf54-e0008b08b37d">
					<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Left">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="735" y="31" width="10" height="16" uuid="af7567d9-2f33-4e14-b7b7-6378bf6aeef5">
					<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Left">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA["/"]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<detail>
		<band height="36" splitType="Stretch">
			<subreport>
				<reportElement x="2" y="5" width="799" height="30" uuid="cfb8b8a9-f972-4bf3-9aaa-efb00e5d41b1"/>
				<subreportParameter name="P_DIST_ID">
					<subreportParameterExpression><![CDATA[$P{P_DIST_ID}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="P_LANGUAGE">
					<subreportParameterExpression><![CDATA[$P{P_LANGUAGE}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="P_GROUP_WORK_DIVISION">
					<subreportParameterExpression><![CDATA[$P{P_GROUP_WORK_DIVISION}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="P_WORK_EMP_ID">
					<subreportParameterExpression><![CDATA[$P{P_WORK_EMP_ID}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="P_START_DATE">
					<subreportParameterExpression><![CDATA[$P{P_START_DATE}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="P_END_DATE">
					<subreportParameterExpression><![CDATA[$P{P_END_DATE}]]></subreportParameterExpression>
				</subreportParameter>
				<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
				<subreportExpression><![CDATA["D:/Projects/mea-report/Module/REQ/รายงานสรุป_บค_จ่ายงาน_บันทึกผล_01_จ่ายงาน_sub_01.jasper"]]></subreportExpression>
			</subreport>
		</band>
	</detail>
	<pageFooter>
		<band height="34">
			<frame>
				<reportElement x="0" y="3" width="802" height="20" uuid="54587c82-2b3f-4339-b0b7-754ad923f938">
					<property name="com.jaspersoft.studio.unit.y" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
				</box>
				<staticText>
					<reportElement x="0" y="0" width="42" height="20" uuid="88be26fa-5b43-4c1e-9391-919d919266ef">
						<property name="com.jaspersoft.studio.unit.y" value="pixel"/>
					</reportElement>
					<textElement>
						<font fontName="TH SarabunPSK" size="14"/>
					</textElement>
					<text><![CDATA[ชื่อผู้พิมพ์]]></text>
				</staticText>
				<textField>
					<reportElement x="42" y="0" width="349" height="20" uuid="4de43024-7fae-4f3e-8f1f-257ea47ae631"/>
					<textElement>
						<font fontName="TH SarabunPSK" size="14"/>
					</textElement>
					<textFieldExpression><![CDATA[$P{P_EMP_NAME}!=null?$P{P_EMP_NAME}:""]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement x="697" y="0" width="72" height="20" uuid="55ffdcfc-81bf-43f7-9699-436bfa21abb8">
						<property name="com.jaspersoft.studio.unit.y" value="pixel"/>
					</reportElement>
					<textElement>
						<font fontName="TH SarabunPSK" size="14"/>
					</textElement>
					<text><![CDATA[จำนวนครั้งที่พิมพ์]]></text>
				</staticText>
				<textField>
					<reportElement x="770" y="0" width="32" height="20" uuid="e94a8da4-d619-444a-8d5e-9090563b9c66"/>
					<textElement>
						<font fontName="TH SarabunPSK" size="14" pdfEncoding="Identity-H"/>
					</textElement>
					<textFieldExpression><![CDATA[($P{P_WATER_MARK} !=null  && $P{P_WATER_MARK} !="" )? "-" : (($P{P_PRINT_NUMBER} != null  && $P{P_PRINT_NUMBER} != "")? $P{P_PRINT_NUMBER} : "-")]]></textFieldExpression>
				</textField>
			</frame>
		</band>
	</pageFooter>
</jasperReport>
